<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_manual', language 'en_us_k12', version '3.2'.
 *
 * @package     enrol_manual
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['expiredaction_help'] = 'Select action to carry out when user enrollment expires. Please note that some user data and settings are purged from class during class unenrollment.';
$string['expirymessageenrolledbody'] = 'Dear {$a->user},

This is a notification that your enrollment in the class \'{$a->course}\' is due to expire on {$a->timeend}.

If you need help, please contact {$a->enroller}.';
$string['expirymessageenrollerbody'] = 'Enrollment in the class \'{$a->course}\' will expire within the next {$a->threshold} for the following users:

{$a->users}

To extend their enrollment, go to {$a->extendurl}';
$string['manual:unenrol'] = 'Unenroll users from the class';
$string['manual:unenrolself'] = 'Unenroll self from the class';
$string['pluginname_desc'] = 'The manual enrollments plugin allows users to be enrolled manually via a link in the class administration settings, by a user with appropriate permissions such as a teacher. The plugin should normally be enabled, since certain other enrollment plugins, such as self enrollment, require it.';
$string['status_desc'] = 'Allow class access of internally enrolled users. This should be kept enabled in most cases.';
$string['status_help'] = 'This setting determines whether users can be enrolled manually, via a link in the class administration settings, by a user with appropriate permissions such as a teacher.';
$string['unenrolselfconfirm'] = 'Do you really want to unenroll yourself from class \\"{$a}\\"?';
$string['unenroluser'] = 'Do you really want to unenroll \\"{$a->user}\\" from class \\"{$a->course}\\"?';
$string['wscannotenrol'] = 'Plugin instance cannot manually enroll a user in the class id = {$a->courseid}';
$string['wsnoinstance'] = 'Manual enrollment plugin instance doesn\'t exist or is disabled for the class (id = {$a->courseid})';
$string['wsusercannotassign'] = 'You don\'t have the permission to assign this role ({$a->roleid}) to this user ({$a->userid}) in this class({$a->courseid}).';
