<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_self', language 'en_us_k12', version '3.2'.
 *
 * @package     enrol_self
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['customwelcomemessage_help'] = 'A custom welcome message may be added as plain text or Moodle-auto format, including HTML tags and multi-lang tags.

The following placeholders may be included in the message:

* Class name {$a->coursename}
* Link to user\'s profile page {$a->profileurl}
* User email {$a->email}
* User fullname {$a->fullname}';
$string['expiredaction_help'] = 'Select action to carry out when user enrollment expires. Please note that some user data and settings are purged from class during class unenrollment.';
$string['expirymessageenrolledbody'] = 'Dear {$a->user},

This is a notification that your enrollment in the class \'{$a->course}\' is due to expire on {$a->timeend}.

If you need help, please contact {$a->enroller}.';
$string['expirymessageenrollerbody'] = 'Self enrollment in the class \'{$a->course}\' will expire within the next {$a->threshold} for the following users:

{$a->users}

To extend their enrollment, go to {$a->extendurl}';
$string['groupkey_help'] = 'In addition to restricting access to the class to only those who know the key, use of group enrollment keys means users are automatically added to groups when they enroll in the class.

Note: An enrollment key for the class must be specified in the self enrollment settings as well as group enrollment keys in the group settings.';
$string['longtimenosee_help'] = 'If users haven\'t accessed a class for a long time, then they are automatically unenrolled. This parameter specifies that time limit.';
$string['newenrols_desc'] = 'Allow users to self enroll into new classes by default.';
$string['newenrols_help'] = 'This setting determines whether a user can enroll into this class.';
$string['password_help'] = 'An enrollment key enables access to the class to be restricted to only those who know the key.

If the field is left blank, any user may enroll in the class.

If an enrollment key is specified, any user attempting to enroll in the class will be required to supply the key. Note that a user only needs to supply the enrollment key ONCE, when they enroll in the class.';
$string['pluginname_desc'] = 'The self enrollment plugin allows users to choose which classes they want to participate in. The classes may be protected by an enrollment key. Internally the enrollment is done via the manual enrollment plugin which has to be enabled in the same class.';
$string['requirepassword_desc'] = 'Require enrollment key in new classes and prevent removing of enrollment key from existing classes.';
$string['self:unenrol'] = 'Unenroll users from class';
$string['self:unenrolself'] = 'Unenroll self from the class';
$string['sendcoursewelcomemessage'] = 'Send class welcome message';
$string['sendcoursewelcomemessage_help'] = 'If enabled, users receive a welcome message via email when they self-enroll in a class.';
$string['status_desc'] = 'Enable self enrollment method in new classes.';
$string['status_help'] = 'If enabled together with \'Allow new enrollments\' disabled, only users who self enrolled previously can access the class. If disabled, this self enrollment method is effectively disabled, since all existing self enrollments are suspended and new users cannot self enroll.';
$string['unenrolselfconfirm'] = 'Do you really want to unenroll yourself from class \\"{$a}\\"?';
$string['unenroluser'] = 'Do you really want to unenroll \\"{$a->user}\\" from class \\"{$a->course}\\"?';
